import { ChangeDetectorRef, OnInit } from "@angular/core";
import { IDataOptions, PivotFieldListComponent, EnginePopulatedEventArgs, CalculatedFieldCreateEventArgs, FieldDropEventArgs, DrillThroughEventArgs, PivotActionFailureEventArgs, QueryCellInfoEventArgs } from "@syncfusion/ej2-angular-pivotview";
import { GridSettings } from "@syncfusion/ej2-pivotview/src/pivotview/model/gridsettings";
import { DashboardService } from "../../dashboard.service";
import { DashboardPorletsService } from "../../dashboardPorlets.service";
export declare class GadgetPivotComponent implements OnInit {
    private dashboardPorletsService;
    private dashboardService;
    private ref;
    private pbf;
    portlet: any;
    dashboard: any;
    portlets: any;
    private Pivot_Data;
    private config;
    dataSourceSettings: IDataOptions;
    gridSettings: GridSettings;
    private excludeFields;
    private filterSettings;
    private datePipeFormat;
    translation: any;
    private pivotObj;
    fieldlistObj: PivotFieldListComponent;
    private observable;
    private grandTotals;
    private subTotals;
    private flag;
    private previousSort;
    private subscriptions;
    private allDataValue;
    private isInit;
    private pivotSearchBox;
    tooltipSettings: {
        enable: boolean;
    };
    private columnTexts;
    private configFields;
    private quarterFormat;
    zoomSettings: {
        enable: boolean;
    };
    itemDataTypeSortArr: string[];
    private formatDates;
    private customCalculatedFields;
    private allowedCalculatedFields;
    private zeroFormatData;
    private millionFields;
    private tempSubtotals;
    orderByColumns: any;
    isApplyIRR: boolean;
    calcIRRData: any;
    private percentNumFields;
    pageLoading: any;
    constructor(dashboardPorletsService: DashboardPorletsService, dashboardService: DashboardService, ref: ChangeDetectorRef, pbf: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onMemberEditorOpen(args: any): void;
    private setGridSettings;
    beforeExport(exportData: any): void;
    private getData;
    getCaptionByName(nameString: any): any;
    afterPopulate(args: EnginePopulatedEventArgs): void;
    afterEnginePopulate(args: any): void;
    private getDataSourceSettingsProp;
    enginePopulating(args: any): void;
    cellClick(args: any): void;
    private queryCell;
    private headerCell;
    dataBound(e: any): void;
    private setValueItemData;
    private calculatedCellSets;
    actionFailure(args: PivotActionFailureEventArgs): void;
    private getCalcHeader;
    private updateTempSubtotals;
    private calculatedValues;
    totalFormatted: {};
    aggregateCellInfo(args: any): void;
    private calculatedFistLast;
    private formatVal;
    private getexcludeFields;
    private getInfo;
    onFieldDrop(args: FieldDropEventArgs): void;
    calculatedFieldCreate(args: CalculatedFieldCreateEventArgs): void;
    actionComplete(args: any): void;
    actionBegin(args: any): void;
    private resizeStop;
    private setColumnsRender;
    onLoad(): void;
    ondataBound(): void;
    private enginePopulated;
    private getClonedPivotValues;
    private getClonedPivotValueObj;
    private searchNodes;
    getFilterItems(fList: any, list: any): any[];
    created(args: any): void;
    fieldListRefreshed(args: any): void;
    private changeDataSource;
    drillThrough(args: DrillThroughEventArgs): void;
    private setFontSettingConditional;
    private setCompareConditional;
    private getQuarterValue;
    customiseCell(args: QueryCellInfoEventArgs): void;
    /**
     * @param timeArray 数组对象 [{"date":"2021-01-01"},{"date":"2021-02-01"}]
     * @param endDate 截至时间
     * @param interval 时间间隔 year / quarter / month
     * @param timeKey 时间字段名 date
     * @returns 划分后的时间分组对象
     */
    getTimeRanges(timeArray: any, endDate: any, interval: any, timeKey: any): {};
    /**
     * 计算几何算数平方更
     * @param values 数组 [0, 0, 0.2575]
     * @returns
     */
    calculateGrowthRate(values: any): number;
    nthroot(x: any, n: any): number;
    /**
     * 标准偏差
     * @param values 数组 [0, 0, -0.4775]
     * @returns 0.2756847535380463
     */
    calculateStandardDeviation(values: any): number;
}
